.eapax-modal-container {
  position: fixed;
  right: 0;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: 99999;
  overflow-x: hidden;
  overflow-y: auto;
  outline: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgb(0, 0, 0, 0.2);
  opacity: 0;
  pointer-events: none;
  transition: opacity 200ms ease-out;
  box-sizing: border-box;
}

.eapax-modal-container.show {
  opacity: 1;
  pointer-events: all;
}

.eapax-modal-container-root {
  /* intentionally empty for overriding */
  box-sizing: border-box;
}

.eapax-modal-content {
  background: #fff;
  border: 1px solid #aaa;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100vw;
  transition: all 200ms ease-out;
  transform: scale(.8);
  opacity: 0;
}

@media only screen and (min-width: 768px) {
  .eapax-modal-content {
    height: 500px;
    width: 300px;
  }
}

.eapax-modal-content.show {
  transform: scale(1);
  opacity: 1;
}

.eapax-modal-header {
  border-radius: 5px 5px 0 0;
  border-bottom: 1px solid #aaa;
  display: flex;
  justify-content: center;
  padding: 16px;
  position: relative;
}

.eapax-modal-close {
  background: #fff;
  border: 0;
  color: #a4a4a4;
  cursor: pointer;
  font-size: 36px;
  outline: 0;
  padding: 0 12px;
  position: absolute;
  right: 10px;
  top: 5px;
}

.eapax-modal-body {
  align-items: center;
  display: flex;
  flex: 1;
  flex-direction: column;
  justify-content: center;
  padding: 16px;
}

.eapax-modal-additional-pre-content {
  padding: 16px;
}

.eapax-modal-additional-post-content {
  padding: 16px;
}

.eapax-modal-footer {
  border-radius: 0 0 5px 5px;
  height: 30px;
}

.eapax-social-anchor {
  display: flex;
  margin-bottom: 10px;
  text-decoration: none;
  width: 280px;
}

.eapax-social-icon {
  align-items: center;
  border-radius: 3px 0 0 3px;
  display: flex;
  justify-content: center;
  padding: 8px;
  text-align: center;
  width: 30px;
}

.eapax-social-icon.facebook {
  background: #2d3e67;
}

.eapax-social-icon.twitter {
  background: #4a77a3;
}

.eapax-social-icon.google {
  background: #385da6;
}

.eapax-social-text {
  align-items: center;
  border-radius: 0 3px 3px 0;
  color: #fff;
  display: flex;
  flex: 1;
  font-family: Helvetica;
  padding: 8px 20px;
  text-transform: uppercase;
}

.eapax-social-text.facebook {
  background: #415993;
}

.eapax-social-text.twitter {
  background: #6aabe8;
}

.eapax-social-text.google {
  background: #5185ec;
}
